--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/object:SM::Flow::LIST 
    contents: 
    - !ruby/struct:SM::Flow::LI 
      label: "HTTP::Message:"
      body: a response
    type: :NOTE
  name: res
  rw: R
class_methods: []

comment: 
- !ruby/struct:SM::Flow::P 
  body: Raised for indicating HTTP response error.
constants: []

full_name: HTTPClient::BadResponseError
includes: []

instance_methods: []

name: BadResponseError
superclass: RuntimeError
